Skip to main content

POST /streams/rest/v1/streams REST API Endpoint

Loading...

Updated on
Apr 06, 2026

POST /streams/rest/v1/streams REST API Endpoint

Body Parameters

name
string
REQUIRED
Loading...
network
string
REQUIRED
Loading...
dataset
string
REQUIRED
Loading...
filter_function
string
Loading...
region
string
REQUIRED
Loading...
usa_east
start_range
integer
Loading...
end_range
integer
Loading...
dataset_batch_size
integer
REQUIRED
Loading...
status
string
REQUIRED
Loading...
activepaused
elastic_batch_enabled
boolean
REQUIRED
Loading...
fix_block_reorgs
integer
Loading...
keep_distance_from_tip
integer
Loading...
notification_email
string
Loading...
destination
string
REQUIRED
Loading...
webhooks3azurepostgres
destination_attributes
object
REQUIRED
Loading...
Loading...
url
string
REQUIRED
Loading...
compression
string
REQUIRED
Loading...
nonegzip
headers
object
Loading...
key-value
string
Loading...
max_retry
integer
REQUIRED
Loading...
retry_interval_sec
integer
REQUIRED
Loading...
post_timeout_sec
integer
REQUIRED
Loading...
extra_destinations
array
Loading...
destination
string
REQUIRED
Loading...
webhooks3azurepostgres
destination_attributes
object
REQUIRED
Loading...

Returns

id
string
Loading...
created_at
string
Loading...
updated_at
string
Loading...
name
string
Loading...
network
string
Loading...
dataset
string
Loading...
region
string
Loading...
filter_function
string
Loading...
start_range
integer
Loading...
end_range
integer
Loading...
dataset_batch_size
integer
Loading...
destination
string
Loading...
fix_block_reorgs
integer
Loading...
keep_distance_from_tip
integer
Loading...
destination_attributes
object
Loading...
Loading...
url
string
Loading...
compression
string
Loading...
headers
object
Loading...
key-value
string
Loading...
max_retry
integer
Loading...
retry_interval_sec
integer
Loading...
post_timeout_sec
integer
Loading...
security_token
string
Loading...
status
string
Loading...
notification_email
string
Loading...
sequence
integer
Loading...
current_hash
string
Loading...
elastic_batch_enabled
boolean
Loading...
extra_destinations
array
Loading...
destination
string
Loading...
destination_attributes
object
Loading...
Request
1
curl -X POST \
2
"https://api.quicknode.com/streams/rest/v1/streams" \
3
-H "accept: application/json" \
4
-H "Content-Type: application/json" \
5
-H "x-api-key: YOUR_API_KEY" \
6
-d $'{
7
"name": "My Stream",
8
"network": "ethereum-mainnet",
9
"dataset": "block",
10
"filter_function": "ZnVuY3Rpb24gbWFpbihkYXRhKSB7CiAgICB2YXIgbnVtYmVyRGVjaW1hbCA9IHBhcnNlSW50KGRhdGEuc3RyZWFtRGF0YS5udW1iZXIsIDE2KTsKICAgIHZhciBmaWx0ZXJlZERhdGEgPSB7CiAgICAgICAgaGFzaDogZGF0YS5zdHJlYW1EYXRhLmhhc2gsCiAgICAgICAgbnVtYmVyOiBudW1iZXJEZWNpbWFsCiAgICB9OwogICAgcmV0dXJuIGZpbHRlcmVkRGF0YTsKfQ==",
11
"region": "usa_east",
12
"start_range": 100,
13
"end_range": 200,
14
"dataset_batch_size": 1,
15
"destination": "webhook",
16
"fix_block_reorgs": 0,
17
"keep_distance_from_tip": 0,
18
"elastic_batch_enabled": true,
19
"destination_attributes": {
20
"url": "https://wehook.site",
21
"compression": "none",
22
"headers": {
23
"Content-Type": "Test",
24
"Authorization": "again"
25
},
26
"max_retry": 3,
27
"retry_interval_sec": 1,
28
"post_timeout_sec": 10
29
},
30
"status": "active"
31
}'
32
1
curl -X POST \
2
"https://api.quicknode.com/streams/rest/v1/streams" \
3
-H "accept: application/json" \
4
-H "Content-Type: application/json" \
5
-H "x-api-key: YOUR_API_KEY" \
6
-d $'{
7
"name": "My Stream",
8
"network": "ethereum-mainnet",
9
"dataset": "block",
10
"filter_function": "ZnVuY3Rpb24gbWFpbihkYXRhKSB7CiAgICB2YXIgbnVtYmVyRGVjaW1hbCA9IHBhcnNlSW50KGRhdGEuc3RyZWFtRGF0YS5udW1iZXIsIDE2KTsKICAgIHZhciBmaWx0ZXJlZERhdGEgPSB7CiAgICAgICAgaGFzaDogZGF0YS5zdHJlYW1EYXRhLmhhc2gsCiAgICAgICAgbnVtYmVyOiBudW1iZXJEZWNpbWFsCiAgICB9OwogICAgcmV0dXJuIGZpbHRlcmVkRGF0YTsKfQ==",
11
"region": "usa_east",
12
"start_range": 100,
13
"end_range": 200,
14
"dataset_batch_size": 1,
15
"destination": "webhook",
16
"fix_block_reorgs": 0,
17
"keep_distance_from_tip": 0,
18
"elastic_batch_enabled": true,
19
"destination_attributes": {
20
"url": "https://wehook.site",
21
"compression": "none",
22
"headers": {
23
"Content-Type": "Test",
24
"Authorization": "again"
25
},
26
"max_retry": 3,
27
"retry_interval_sec": 1,
28
"post_timeout_sec": 10
29
},
30
"status": "active"
31
}'
32
Don't have an account yet?
Create your Quicknode endpoint in seconds and start building
Get started for free